<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: cobs/cobs_encode.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_6fbc84a0760eaea03445dd1babf55b48.html">cobs</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">cobs_encode.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="cobs__encode_8h_source.html">cobs_encode.h</a>&quot;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for cobs_encode.c:</div>
<div class="dyncontent">
<div class="center"><img src="cobs__encode_8c__incl.png" border="0" usemap="#cobs_2cobs__encode_8c" alt=""/></div>
<map name="cobs_2cobs__encode_8c" id="cobs_2cobs__encode_8c">
<area shape="rect" id="node2" href="cobs__encode_8h.html" title="cobs_encode.h" alt="" coords="81,80,191,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a086b79b8adee98e03a64e81b8321ab82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__encode_8c.html#a086b79b8adee98e03a64e81b8321ab82">cobs_encode_init</a> (<a class="el" href="cobs__encode_8h.html#a5d060ef14883511467832a8494748c9f">cobs_encode_t</a> *cobs, uint8_t *data, uint_fast32_t length)</td></tr>
<tr class="separator:a086b79b8adee98e03a64e81b8321ab82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2da39f6cd07f94a3781955bf34736ad"><td class="memItemLeft" align="right" valign="top">uint_fast8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__encode_8c.html#af2da39f6cd07f94a3781955bf34736ad">cobs_encode_get_next</a> (<a class="el" href="cobs__encode_8h.html#a5d060ef14883511467832a8494748c9f">cobs_encode_t</a> *cobs)</td></tr>
<tr class="separator:af2da39f6cd07f94a3781955bf34736ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="af2da39f6cd07f94a3781955bf34736ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2da39f6cd07f94a3781955bf34736ad">&#9670;&nbsp;</a></span>cobs_encode_get_next()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast8_t cobs_encode_get_next </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__encode_8h.html#a5d060ef14883511467832a8494748c9f">cobs_encode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a086b79b8adee98e03a64e81b8321ab82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a086b79b8adee98e03a64e81b8321ab82">&#9670;&nbsp;</a></span>cobs_encode_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cobs_encode_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__encode_8h.html#a5d060ef14883511467832a8494748c9f">cobs_encode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
